choose language

Deutsch Français 日本語 简体中文

See all Nokia sites

Viewing

Compatible OS

  • iOS 8.0 or higher
  • Android 5.0 or higher

Compatible Devices

  • iPhone 4s or higher
  • iPad (3rd Generation or higher, as well as any iPad Mini)
  • iPod Touch 5th Gen
  • Android 5.0 devices

Didn't find what you need? Here's how to get in touch.

Contact us